
# T1w vers le MNI space
antsRegistrationSyNQuick.sh -d 3 -f atlases/mni_masked.nii.gz -m NIFTI/T1w.nii.gz -o T12mni -n 8 


# La vraie commande utilisee
#antsRegistration --dimensionality 3 --float 0 --output [T12mni,T12mniWarped.nii.gz,T12mniInverseWarped.nii.gz] --interpolation Linear --use-histogram-matching 0 --winsorize-image-intensities [0.005,0.995] --initial-moving-transform [atlases/mni_masked.nii.gz,NIFTI/T1w.nii.gz,1] --transform Rigid[0.1] --metric MI[atlases/mni_masked.nii.gz,NIFTI/T1w.nii.gz,1,32,Regular,0.25] --convergence [1000x500x250x0,1e-6,10] --shrink-factors 8x4x2x1 --smoothing-sigmas 3x2x1x0vox --transform Affine[0.1] --metric MI[atlases/mni_masked.nii.gz,NIFTI/T1w.nii.gz,1,32,Regular,0.25] --convergence [1000x500x250x0,1e-6,10] --shrink-factors 8x4x2x1 --smoothing-sigmas 3x2x1x0vox --transform SyN[0.1,3,0] --metric MI[atlases/mni_masked.nii.gz,NIFTI/T1w.nii.gz,1,32] --convergence [100x70x50x0,1e-6,10] --shrink-factors 8x4x2x1 --smoothing-sigmas 3x2x1x0vox
mkdir Quick
mv T12mni* Quick/

# Si vous utilisez dans votre recherche, utiliser la version "pas Quick"
# Ce qui prendra 
antsRegistrationSyN.sh -d 3 -f atlases/mni_masked.nii.gz -m NIFTI/T1w.nii.gz -o T12mni -n 8
mkdir Long
mv T12mni* Long/



# Maintenant, la T1 est dans l'espace de MNI
# on peut donc ramener tout ce qui est dans MNI vers la T1 aussi en utilisant l'inversewarp
antsApplyTransforms -d 3 -i atlases/JHU-ICBM-FA-1mm.nii.gz -r NIFTI/T1w.nii.gz -o JHU_fa_in_t1space.nii.gz -t [Long/T12mni0GenericAffine.mat,1] Long/T12mni1InverseWarp.nii.gz

#



# Segmentation
#
antsApplyTransforms -d 3 -i atlases/Thalamus-maxprob-thr50-1mm.nii.gz -r NIFTI/T1w.nii.gz -o Thalamus_in_t1space.nii.gz -n NearestNeighbor -t [Long/T12mni0GenericAffine.mat,1] Long/T12mni1InverseWarp.nii.gz

antsApplyTransforms -d 3 -i atlases/JHU-ICBM-labels-1mm.nii.gz -r NIFTI/T1w.nii.gz -o JHU_labels_in_t1space.nii.gz -n NearestNeighbor -t [Long/T12mni0GenericAffine.mat,1] Long/T12mni1InverseWarp.nii.gz


mkdir Warping
mv Thalamus_in_t1space.nii.gz JHU_* Warping/



